unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls;

type
  TMainForm = class(TForm)
    Panel1: TPanel;
    TabControl1: TTabControl;
    procedure TabControl1Change(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses MainCal, MainCont, MainTask, MainNote;

{$R *.dfm}

procedure TMainForm.TabControl1Change(Sender: TObject);
begin
  case TabControl1.TabIndex of
    0:
      MainCalForm.BringToFront;
    1:
      MainContForm.BringToFront;
    2:
      MainTaskForm.BringToFront;
    3:
      MainNoteForm.BringToFront;
  end;
end;

procedure TMainForm.FormShow(Sender: TObject);
begin
  MainCalForm.Parent := Panel1;
  MainCalForm.Visible := true;
  MainCalForm.Top := 0;
  MainCalForm.Left := 0;
  MainContForm.Parent := Panel1;
  MainContForm.Visible := true;
  MainContForm.Top := 0;
  MainContForm.Left := 0;
  MainTaskForm.Parent := Panel1;
  MainTaskForm.Visible := true;
  MainTaskForm.Top := 0;
  MainTaskForm.Left := 0;
  MainNoteForm.Parent := Panel1;
  MainNoteForm.Visible := true;
  MainNoteForm.Top := 0;
  MainNoteForm.Left := 0;
  TabControl1.TabIndex := 0;
  TabControl1Change(Sender);
end;

end.

